Loading...
Searching...
No Matches
edit.h File Reference

CEdit class. More...

`#include "ui/controls/control.h"`
`#include <array>`
`#include <memory>`
Include dependency graph for edit.h:

## Classes

struct | Ui::EditUndo
struct | Ui::ImageLine
struct | Ui::HyperLink
struct | Ui::HyperMarker
struct | Ui::HyperHistory
class | Ui::CEdit

## Enumerations

enum | Ui::OperUndo { Ui::OPERUNDO_SPEC = 0 , Ui::OPERUNDO_INSERT = 1 , Ui::OPERUNDO_DELETE = 2 }

## Variables

const int | Ui::EDITHISTORYMAX = 50
| max number of levels preserves
const int | Ui::EDITUNDOMAX = 20
| max number of successive undo

## Detailed Description

CEdit class.

## Enumeration Type Documentation

## OperUndo

enum Ui::OperUndo

Enumerator
OPERUNDO_SPEC | special operation
OPERUNDO_INSERT | inserting characters
OPERUNDO_DELETE | deleting characters

## Variable Documentation

## EDITHISTORYMAX

const int Ui::EDITHISTORYMAX = 50

max number of levels preserves

## EDITUNDOMAX

const int Ui::EDITUNDOMAX = 20

max number of successive undo